Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.ip_addresses.get(ip_id="ip_059EqY7kOQj8p")
# Handle response
print(res)package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.IPAddresses.Get(ctx, "ip_059EqY7kOQj8p", nil)
if err != nil {
log.Fatal(err)
}
if res.IPAddress != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.ipAddresses.get({
ipId: "<id>",
});
console.log(result);
}
run();curl --request GET \
--url https://api.latitude.sh/ips/{ip_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/ips/{ip_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "ip_addresses",
"attributes": {
"address": "<string>",
"cidr": "<string>",
"gateway": "<string>",
"netmask": "<string>",
"public": true,
"management": true,
"additional": true,
"project": {
"id": "<string>",
"name": "<string>"
},
"region": {
"id": "<string>",
"name": "<string>",
"location": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
}
},
"available": true,
"assignment": {
"server_id": "<string>",
"hostname": "<string>",
"assigned_at": "<string>"
},
"elastic": {
"id": "<string>",
"mode": "<string>",
"status": "<string>"
},
"created_at": "2023-11-07T05:31:56Z"
}
},
"meta": {}
}IP Addresses
Retrieve an IP
Retrieve an IP Address
GET
/
ips
/
{ip_id}
Python (SDK)
from latitudesh_python_sdk import Latitudesh
import os
with Latitudesh(
bearer=os.getenv("LATITUDESH_BEARER", ""),
) as latitudesh:
res = latitudesh.ip_addresses.get(ip_id="ip_059EqY7kOQj8p")
# Handle response
print(res)package main
import(
"context"
"os"
latitudeshgosdk "github.com/latitudesh/latitudesh-go-sdk"
"log"
)
func main() {
ctx := context.Background()
s := latitudeshgosdk.New(
latitudeshgosdk.WithSecurity(os.Getenv("LATITUDESH_BEARER")),
)
res, err := s.IPAddresses.Get(ctx, "ip_059EqY7kOQj8p", nil)
if err != nil {
log.Fatal(err)
}
if res.IPAddress != nil {
// handle response
}
}import { Latitudesh } from "latitudesh-typescript-sdk";
const latitudesh = new Latitudesh({
bearer: process.env["LATITUDESH_BEARER"] ?? "",
});
async function run() {
const result = await latitudesh.ipAddresses.get({
ipId: "<id>",
});
console.log(result);
}
run();Authorizations
Path Parameters
The IP Address ID
Query Parameters
The region and server are provided as extra attributes that are lazy loaded. To request it, just set extra_fields[ip_addresses]=region,server in the query string.
Was this page helpful?
⌘I